# Microsoft Graph connector

This connector uses the MS graph API to push and get data.

Below are all the parameters you can specify on this connector.

| name               | description                                      |
| ------------------ | ------------------------------------------------ |
| connectTimeout     | the connection timeout in milliseconds           |
| requestTimeout     | the request timeout in milliseconds              |
| url                | the URL of the remote system                     |
| url\_delta         | the Delta URL                                    |
| authorization\_url | the authorization url                            |
| tenant             | the microsoft tenant                             |
| clientId           | the clientid                                     |
| clientSecret       | the client secret                                |
| fixedToken         | a fixed token instead of using clientid / secret |
| filter             | a general filter query                           |

## &#x20;<a href="#supported-functions" id="supported-functions"></a>

## &#x20;<a href="#supported-functions" id="supported-functions"></a>

## Supported functions <a href="#supported-functions" id="supported-functions"></a>

Below are the implemented operations on this connector.

| name                   | supported | description                                         |
| ---------------------- | --------- | --------------------------------------------------- |
| create                 | yes       | implemented with POST                               |
| find                   | yes       | implemented with GET on id                          |
| search                 | yes       | implemented with GET on /search with searchcriteria |
| update                 | yes       | implemented with PUT                                |
| delete                 | yes       | DELETE on id                                        |
| disable                | no        |                                                     |
| archive                | no        |                                                     |
| unarchive              | no        |                                                     |
| ping                   | yes       | pings the connection : OPTIONS request              |
| validate configuration | yes       | validates the configuration on init                 |

## Open issues <a href="#open-issues" id="open-issues"></a>

* ...
*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.personify.be/concepts/connectors/microsoft-graph-connector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
